# IGListAdapterUpdateType Enumeration Reference

# IGListAdapterUpdateType

    enum IGListAdapterUpdateType {}

The type of update that was performed by an `IGListAdapter`.

- `IGListAdapterUpdateTypePerformUpdates`

  `-[IGListAdapter performUpdatesAnimated:completion:]` was executed.

  #### Declaration

  Objective-C

      IGListAdapterUpdateTypePerformUpdates

  Swift

      case performUpdates = 0

- `IGListAdapterUpdateTypeReloadData`

  `-[IGListAdapter reloadDataWithCompletion:]` was executed.

  #### Declaration

  Objective-C

      IGListAdapterUpdateTypeReloadData

  Swift

      case reloadData = 1

- `IGListAdapterUpdateTypeItemUpdates`

  `-[IGListCollectionContext performBatchAnimated:updates:completion:]` was executed by an `IGListSectionController`.

  #### Declaration

  Objective-C

      IGListAdapterUpdateTypeItemUpdates

  Swift

      case itemUpdates = 2

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.